Bug 222876 - [perf dashboard] Use async/await in tests for TimeSeriesChart and InteractiveTimeSeriesChart
Summary: [perf dashboard] Use async/await in tests for TimeSeriesChart and Interactive...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-03-06 18:55 PST by Ryosuke Niwa
Modified: 2021-03-08 21:25 PST (History)
6 users (show)

See Also:


Attachments
Patch (172.85 KB, patch)
2021-03-06 18:58 PST, Ryosuke Niwa
sam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2021-03-06 18:55:29 PST
All these then chains are annoying. Replace them with async/await.
Comment 1 Ryosuke Niwa 2021-03-06 18:58:49 PST
Created attachment 422517 [details]
Patch
Comment 2 dewei_zhu 2021-03-07 13:11:30 PST
r=me
Comment 3 Ryosuke Niwa 2021-03-08 21:18:06 PST
Thanks for the review!
Comment 4 Ryosuke Niwa 2021-03-08 21:24:33 PST
Committed r274134 (235055@main): <https://commits.webkit.org/235055@main>
Comment 5 Radar WebKit Bug Importer 2021-03-08 21:25:22 PST
<rdar://problem/75202131>